DCMTK Version 3.6.9 OFFIS DICOM Toolkit

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
IODGeneralEquipmentModule::EquipmentInfo Struct Reference

Convenient struct containing commonly used equipment information (for use by external code) More...

## Public Member Functions
| EquipmentInfo ()
| Default Constructor.
| EquipmentInfo (const OFString &manufacturer, const OFString &manufacturerModelName, const OFString &deviceSerialNumber, const OFString &softwareVersions)
| Convenience Constructor setting commonly used values.

## Public Attributes
OFString | m_Manufacturer
| Manufacturer (VM 1)
OFString | m_ManufacturerModelName
| Manufacturer's Model Name (VM 1)
OFString | m_DeviceSerialNumber
| Device Serial Number (VM 1)
OFString | m_SoftwareVersions
| Software Version(s) (VM 1-n)

## Detailed Description

Convenient struct containing commonly used equipment information (for use by external code)

## Constructor & Destructor Documentation

## ◆ EquipmentInfo()

IODGeneralEquipmentModule::EquipmentInfo::EquipmentInfo | ( | const OFString & | manufacturer,
|  | const OFString & | manufacturerModelName,
|  | const OFString & | deviceSerialNumber,
|  | const OFString & | softwareVersions )
| inline

Convenience Constructor setting commonly used values.

Parameters

  manufacturer | Manufacturer
  manufacturerModelName | Manufacturer's model name
  deviceSerialNumber | Serial number
  softwareVersions | Software versions

References m_DeviceSerialNumber, m_Manufacturer, m_ManufacturerModelName, and m_SoftwareVersions.

The documentation for this struct was generated from the following file:

- dcmiod/include/dcmtk/dcmiod/modequipment.h

Generated on Sat Mar 1 2025 for DCMTK Version 3.6.9 by Doxygen 1.13.2